# UI Pattern
Define and expose self-contained UI patterns as Drupal plugins to ambitious Site
builders and allow them to use them seamlessly as drop-in templates for any
entity types.

The module generates a pattern library page to be used as documentation for
content editors or as a showcase for business and clients.

## Helpful links
[UI Pattern Documentation page](https://www.drupal.org/docs/contributed-modules/ui-patterns)
contains most of the needs information but here are some quick links to a few pages.

- [Define your patterns](https://www.drupal.org/docs/contributed-modules/ui-patterns/define-your-patterns)
- [Use patterns as layouts](https://www.drupal.org/docs/contributed-modules/ui-patterns/use-patterns-as-layouts)
- [Use patterns with Field templates](https://www.drupal.org/docs/contributed-modules/ui-patterns/use-patterns-with-field-templates)
- [Use patterns with views](https://www.drupal.org/docs/contributed-modules/ui-patterns/use-patterns-with-views)
- [Best practices](https://www.drupal.org/docs/contributed-modules/ui-patterns/best-practices)
- [Ecosystem](https://www.drupal.org/docs/contributed-modules/ui-patterns/ecosystem)
  - Notable modules
    - [UI Pattern Field Formatters](https://www.drupal.org/project/ui_patterns_field_formatters)
    - [Component blocks](https://www.drupal.org/project/component_blocks)
    - [UI Patterns Layout Builder](https://www.drupal.org/project/ui_patterns_layout_builder)
    - [UI Patterns Settings](https://www.drupal.org/project/ui_patterns_settings)
      - Required by this theme.
    - [UI Styles](https://www.drupal.org/project/ui_styles)
      - Required by this theme.
